/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetEventSourceMappingInput } from "../types/GetEventSourceMappingInput";
import { GetEventSourceMappingOutput } from "../types/GetEventSourceMappingOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/GetEventSourceMappingInput";
export * from "../types/GetEventSourceMappingOutput";
export * from "../types/GetEventSourceMappingExceptionsUnion";
export declare class GetEventSourceMappingCommand implements __aws_sdk_types.Command<InputTypesUnion, GetEventSourceMappingInput, OutputTypesUnion, GetEventSourceMappingOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: GetEventSourceMappingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetEventSourceMappingInput, GetEventSourceMappingOutput, _stream.Readable>;
    constructor(input: GetEventSourceMappingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<GetEventSourceMappingInput, GetEventSourceMappingOutput>;
}
