/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListAliasesInput } from "../types/ListAliasesInput";
import { ListAliasesOutput } from "../types/ListAliasesOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/ListAliasesInput";
export * from "../types/ListAliasesOutput";
export * from "../types/ListAliasesExceptionsUnion";
export declare class ListAliasesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListAliasesInput, OutputTypesUnion, ListAliasesOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: ListAliasesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListAliasesInput, ListAliasesOutput, _stream.Readable>;
    constructor(input: ListAliasesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<ListAliasesInput, ListAliasesOutput>;
}
