"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAccountSettingsInput_1 = require("./GetAccountSettingsInput");
var GetAccountSettingsOutput_1 = require("./GetAccountSettingsOutput");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var ServiceException_1 = require("./ServiceException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.GetAccountSettings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAccountSettings",
    http: {
        method: "GET",
        requestUri: "/2016-08-19/account-settings/"
    },
    input: {
        shape: GetAccountSettingsInput_1.GetAccountSettingsInput
    },
    output: {
        shape: GetAccountSettingsOutput_1.GetAccountSettingsOutput
    },
    errors: [
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=GetAccountSettings.js.map