import { AddPermissionOutput } from "./AddPermissionOutput";
import { CreateAliasOutput } from "./CreateAliasOutput";
import { CreateEventSourceMappingOutput } from "./CreateEventSourceMappingOutput";
import { CreateFunctionOutput } from "./CreateFunctionOutput";
import { DeleteAliasOutput } from "./DeleteAliasOutput";
import { DeleteEventSourceMappingOutput } from "./DeleteEventSourceMappingOutput";
import { DeleteFunctionOutput } from "./DeleteFunctionOutput";
import { DeleteFunctionConcurrencyOutput } from "./DeleteFunctionConcurrencyOutput";
import { GetAccountSettingsOutput } from "./GetAccountSettingsOutput";
import { GetAliasOutput } from "./GetAliasOutput";
import { GetEventSourceMappingOutput } from "./GetEventSourceMappingOutput";
import { GetFunctionOutput } from "./GetFunctionOutput";
import { GetFunctionConfigurationOutput } from "./GetFunctionConfigurationOutput";
import { GetPolicyOutput } from "./GetPolicyOutput";
import { InvokeOutput } from "./InvokeOutput";
import { InvokeAsyncOutput } from "./InvokeAsyncOutput";
import { ListAliasesOutput } from "./ListAliasesOutput";
import { ListEventSourceMappingsOutput } from "./ListEventSourceMappingsOutput";
import { ListFunctionsOutput } from "./ListFunctionsOutput";
import { ListTagsOutput } from "./ListTagsOutput";
import { ListVersionsByFunctionOutput } from "./ListVersionsByFunctionOutput";
import { PublishVersionOutput } from "./PublishVersionOutput";
import { PutFunctionConcurrencyOutput } from "./PutFunctionConcurrencyOutput";
import { RemovePermissionOutput } from "./RemovePermissionOutput";
import { TagResourceOutput } from "./TagResourceOutput";
import { UntagResourceOutput } from "./UntagResourceOutput";
import { UpdateAliasOutput } from "./UpdateAliasOutput";
import { UpdateEventSourceMappingOutput } from "./UpdateEventSourceMappingOutput";
import { UpdateFunctionCodeOutput } from "./UpdateFunctionCodeOutput";
import { UpdateFunctionConfigurationOutput } from "./UpdateFunctionConfigurationOutput";
export declare type OutputTypesUnion = AddPermissionOutput | CreateAliasOutput | CreateEventSourceMappingOutput | CreateFunctionOutput | DeleteAliasOutput | DeleteEventSourceMappingOutput | DeleteFunctionOutput | DeleteFunctionConcurrencyOutput | GetAccountSettingsOutput | GetAliasOutput | GetEventSourceMappingOutput | GetFunctionOutput | GetFunctionConfigurationOutput | GetPolicyOutput | InvokeOutput | InvokeAsyncOutput | ListAliasesOutput | ListEventSourceMappingsOutput | ListFunctionsOutput | ListTagsOutput | ListVersionsByFunctionOutput | PublishVersionOutput | PutFunctionConcurrencyOutput | RemovePermissionOutput | TagResourceOutput | UntagResourceOutput | UpdateAliasOutput | UpdateEventSourceMappingOutput | UpdateFunctionCodeOutput | UpdateFunctionConfigurationOutput;
