/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteEventSourceMappingInput } from "../types/DeleteEventSourceMappingInput";
import { DeleteEventSourceMappingOutput } from "../types/DeleteEventSourceMappingOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/DeleteEventSourceMappingInput";
export * from "../types/DeleteEventSourceMappingOutput";
export * from "../types/DeleteEventSourceMappingExceptionsUnion";
export declare class DeleteEventSourceMappingCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteEventSourceMappingInput, OutputTypesUnion, DeleteEventSourceMappingOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteEventSourceMappingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteEventSourceMappingInput, DeleteEventSourceMappingOutput, _stream.Readable>;
    constructor(input: DeleteEventSourceMappingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<DeleteEventSourceMappingInput, DeleteEventSourceMappingOutput>;
}
