/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RemovePermissionInput } from "../types/RemovePermissionInput";
import { RemovePermissionOutput } from "../types/RemovePermissionOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/RemovePermissionInput";
export * from "../types/RemovePermissionOutput";
export * from "../types/RemovePermissionExceptionsUnion";
export declare class RemovePermissionCommand implements __aws_sdk_types.Command<InputTypesUnion, RemovePermissionInput, OutputTypesUnion, RemovePermissionOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: RemovePermissionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RemovePermissionInput, RemovePermissionOutput, _stream.Readable>;
    constructor(input: RemovePermissionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<RemovePermissionInput, RemovePermissionOutput>;
}
