"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListAliasesInput_1 = require("./ListAliasesInput");
var ListAliasesOutput_1 = require("./ListAliasesOutput");
var ServiceException_1 = require("./ServiceException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.ListAliases = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListAliases",
    http: {
        method: "GET",
        requestUri: "/2015-03-31/functions/{FunctionName}/aliases"
    },
    input: {
        shape: ListAliasesInput_1.ListAliasesInput
    },
    output: {
        shape: ListAliasesOutput_1.ListAliasesOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListAliases.js.map