import { AddPermissionInput } from "./AddPermissionInput";
import { CreateAliasInput } from "./CreateAliasInput";
import { CreateEventSourceMappingInput } from "./CreateEventSourceMappingInput";
import { CreateFunctionInput } from "./CreateFunctionInput";
import { DeleteAliasInput } from "./DeleteAliasInput";
import { DeleteEventSourceMappingInput } from "./DeleteEventSourceMappingInput";
import { DeleteFunctionInput } from "./DeleteFunctionInput";
import { DeleteFunctionConcurrencyInput } from "./DeleteFunctionConcurrencyInput";
import { GetAccountSettingsInput } from "./GetAccountSettingsInput";
import { GetAliasInput } from "./GetAliasInput";
import { GetEventSourceMappingInput } from "./GetEventSourceMappingInput";
import { GetFunctionInput } from "./GetFunctionInput";
import { GetFunctionConfigurationInput } from "./GetFunctionConfigurationInput";
import { GetPolicyInput } from "./GetPolicyInput";
import { InvokeInput } from "./InvokeInput";
import { InvokeAsyncInput } from "./InvokeAsyncInput";
import { ListAliasesInput } from "./ListAliasesInput";
import { ListEventSourceMappingsInput } from "./ListEventSourceMappingsInput";
import { ListFunctionsInput } from "./ListFunctionsInput";
import { ListTagsInput } from "./ListTagsInput";
import { ListVersionsByFunctionInput } from "./ListVersionsByFunctionInput";
import { PublishVersionInput } from "./PublishVersionInput";
import { PutFunctionConcurrencyInput } from "./PutFunctionConcurrencyInput";
import { RemovePermissionInput } from "./RemovePermissionInput";
import { TagResourceInput } from "./TagResourceInput";
import { UntagResourceInput } from "./UntagResourceInput";
import { UpdateAliasInput } from "./UpdateAliasInput";
import { UpdateEventSourceMappingInput } from "./UpdateEventSourceMappingInput";
import { UpdateFunctionCodeInput } from "./UpdateFunctionCodeInput";
import { UpdateFunctionConfigurationInput } from "./UpdateFunctionConfigurationInput";
export declare type InputTypesUnion = AddPermissionInput | CreateAliasInput | CreateEventSourceMappingInput | CreateFunctionInput | DeleteAliasInput | DeleteEventSourceMappingInput | DeleteFunctionInput | DeleteFunctionConcurrencyInput | GetAccountSettingsInput | GetAliasInput | GetEventSourceMappingInput | GetFunctionInput | GetFunctionConfigurationInput | GetPolicyInput | InvokeInput | InvokeAsyncInput | ListAliasesInput | ListEventSourceMappingsInput | ListFunctionsInput | ListTagsInput | ListVersionsByFunctionInput | PublishVersionInput | PutFunctionConcurrencyInput | RemovePermissionInput | TagResourceInput | UntagResourceInput | UpdateAliasInput | UpdateEventSourceMappingInput | UpdateFunctionCodeInput | UpdateFunctionConfigurationInput;
